Xerces-C++: DOMXPathNSResolver Class Reference

Xerces-C++ 3.2.0

List of all members
DOMXPathNSResolver Class Referenceabstract

The `DOMXPathNSResolver` interface permit prefix strings in the expression to be properly bound to namespaceURI strings. More...

## Public Member Functions
Destructor
virtual | ~DOMXPathNSResolver ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const =0
| Look up the namespace URI associated to the given namespace prefix. More...
Non-standard extension
virtual const XMLCh * | lookupPrefix (const XMLCh *URI) const =0
| Non-standard extension. More...
virtual void | addNamespaceBinding (const XMLCh *prefix, const XMLCh *uri)=0
| Non-standard extension. More...
virtual void | release ()=0
| Called to indicate that this object (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children. More...

## Protected Member Functions
Hidden constructors
| DOMXPathNSResolver ()

## Detailed Description

The `DOMXPathNSResolver` interface permit prefix strings in the expression to be properly bound to namespaceURI strings.

`DOMXPathEvaluator` can construct an implementation of `DOMXPathNSResolver` from a node, or the interface may be implemented by any application.

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMXPathNSResolver()

DOMXPathNSResolver::DOMXPathNSResolver | ( |  | ) |
| protected

## ◆ ~DOMXPathNSResolver()

virtual DOMXPathNSResolver::~DOMXPathNSResolver | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ addNamespaceBinding()

virtual void DOMXPathNSResolver::addNamespaceBinding | ( | const XMLCh * | prefix,
|  | const XMLCh * | uri
| ) |  |
| pure virtual

Non-standard extension.

Associate the given namespace prefix to the namespace URI.

Parameters

  prefix | of type XMLCh - The namespace prefix to bind. An empty or null string denotes the default namespace.
  uri | of type XMLCh - The associated namespace URI. If this argument is null or an empty string then the existing binding for this prefix is removed.

## ◆ lookupNamespaceURI()

virtual const XMLCh* DOMXPathNSResolver::lookupNamespaceURI | ( | const XMLCh * | prefix | ) | const
| pure virtual

Look up the namespace URI associated to the given namespace prefix.

Parameters

  prefix | of type XMLCh - The prefix to look for. An empty or null string denotes the default namespace.

Returns
  the associated namespace URI or null if none is found.

## ◆ lookupPrefix()

virtual const XMLCh* DOMXPathNSResolver::lookupPrefix | ( | const XMLCh * | URI | ) | const
| pure virtual

Non-standard extension.

XPath2 implementations require a reverse lookup in the static context. Look up the prefix associated with the namespace URI

Parameters

  URI | of type XMLCh - The namespace to look for.

Returns
  the associated prefix which can be an empty string if this is a default namespace or null if none is found.

## ◆ release()

virtual void DOMXPathNSResolver::release | ( |  | ) |
| pure virtual

Called to indicate that this object (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

Access to a released object will lead to unexpected result.

The documentation for this class was generated from the following file:

- DOMXPathNSResolver.hpp